local enums = require("consts.celeste_enums")

local obj = {}

obj.name = "ArphimigonHelper/TimeDistortionField"

obj.fieldInformation = {
    positionMode = {
        options = enums.trigger_position_modes,
        editable = false
    }
}

obj.placements = {
    name = "Time Distortion Field",
    data = {
        positionMode = "NoEffect",
        timeRateA = 1.0,
        timeRateB = 1.0,
        revertTimeOnLeave = true,
    }
}

return obj